#!/usr/bin/env python3
"""
Various things related to Banished Quest.
"""
from datetime import datetime

from module import commands
from tools.time import relativeTime

@commands('bq')
def BQstatus(bot, trigger):
	"""
	Displays the current status of BQ.
	"""
	status = "\x0304DEAD"
	deathdate = "[2017-02-16 00:19:00]"
	msg = "Banished Quest status: " + status + "\nTime since death: "
	msg += relativeTime(datetime.now(), deathdate) + " ago "
	msg += deathdate
	bot.msg(msg)
